POST crm/case
Create a case in Salesforce
Request Information
Parameters
| Name | Description |
|---|---|
title
[Optional, string]
|
Title of the customer. |
firstName
[Mandatory, string]
|
First name of the customer. |
surname
[Mandatory, string]
|
Surname of the customer. |
email
[Mandatory, string]
|
Email address. |
mobile
[Optional, string]
|
Mobile phone number. |
homePhone
[Optional, string]
|
Home phone number. |
addressPostcode
[Optional, string]
|
Address postcode. |
privacyConsent
[Optional, boolean]
|
Privacy consent flag. |
subscribeToHonda
[Optional, boolean]
|
Subscribe to Honda marketing flag. |
ownHonda
[Optional, boolean]
|
Flag indicating if the customer already owns a Honda. |
siteName
[Optional, string]
|
Site name or Business type (e.g. Motorcycle, PowerEquipment). |
comments
[Optional, string]
|
Description or comments for the case. |
origin
[Optional, string]
|
Origin of the case or Frame Number. |
frameNo
[Optional, string]
|
Frame number. |
vin-frame
[Optional, string]
|
VIN/Frame number (alternative to frameNo). |
Request body formats
application/json
application/x-www-form-urlencoded
Example:
{
"title": "Mr",
"firstName": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"mobile": "0412345678",
"homePhone": "",
"addressPostcode": "3000",
"privacyConsent": true,
"subscribeToHonda": true,
"ownHonda": false,
"siteName": "Motorcycles",
"comments": "I have a question about the new CBR1000RR-R.",
"frameNo": ""
}
Response Information
Response body formats
application/json
Example:
{
"SfId": "003xxxxxxxxxxxxxxx",
"SfResponseSuccess": true
}
Or Bad Response:
"Create Case failed: The email is not valid!"
or
{
"error": "An unexpected error has occurred",
"details": "...",
"stackTrace": "..."
}
Notes
You can send the data as application/json or application/x-www-form-urlencoded. Both 'frameNo' and 'vin-frame' can map to the Frame_Number__c field in Salesforce.